Skip to main content
PUT
/
invoice-series
/
{id}
Update an invoice series
curl --request PUT \
  --url https://api.contazen.ro/v1/invoice-series/{id} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "description": "<string>"
}
'
import requests

url = "https://api.contazen.ro/v1/invoice-series/{id}"

payload = { "description": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({description: '<string>'})
};

fetch('https://api.contazen.ro/v1/invoice-series/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "success": true,
  "data": {
    "id": "<string>",
    "object": "invoice_series",
    "name": "<string>",
    "description": "<string>",
    "start_number": 123,
    "next_number": 123,
    "format": "FACT-{year}-{number}",
    "is_primary": true,
    "is_used": true,
    "is_locked": true,
    "lock": {
      "device_id": "<string>",
      "session_id": 123,
      "user_id": 123,
      "device_name": "<string>",
      "device_platform": "<string>",
      "locked_at": 123
    },
    "year": 123,
    "created_at": 123
  },
  "meta": {
    "version": "v1",
    "request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "response_time": "23.45ms"
  }
}
{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}
{
"success": false,
"error": {
"message": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
},
"meta": {
"version": "v1",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"response_time": "23.45ms"
}
}

Authorizations

Authorization
string
header
required

Use your API key (sk_live_xxx or sk_test_xxx)

Path Parameters

id
string
required

Body

application/json
description
string

Response

Series updated

success
boolean
data
object
meta
object